API 적용 가능한 구매자 사용자 지역: 한국,대만
등록상품ID(sellerProductId)로 상품 상태변경이력을 조회한다.
Path
GET
/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}/histories
Example Endpoint
https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}/histories
Request Parameters
Query String Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| sellerProductId | O | Number | 등록상품ID (sellerProductId) | ||||
| nextToken | Number | 페이지 다음 페이지를 호출하기 위한 토큰값 첫 페이지 호출시에는 넣지 않거나 '1' 입력 | |||||
| maxPerPage | Number | 페이지당 건수 기본값 : 10 | |||||
Request Example
not require body
Response Message
| Name | Type | Description | ||||
|---|---|---|---|---|---|---|
| code | Number | 결과코드 SUCCESS/ERROR | ||||
| message | String | 결과 메세지 | ||||
| nextToken | String | 다음페이지 만약 다음 페이지가 없을 경우 빈문자열 | ||||
| data | Array | 상태변경이력 상태변경이력 목록 개수 만큼 반복 | ||||
| status | String | * 심사중 * 임시저장 * 승인대기중 * 승인완료 * 부분승인완료 * 승인반려 * 상품삭제 | ||||
| comment | String | 상태변경내용 | ||||
| createdBy | String | 만약 SYSTEM일 경우 '쿠팡 셀러 시스템'이 자동으로 처리 | ||||
| createdAt | String | 상태변경일시 "yyyy-MM-dd'T'HH:mm:ss" 형식 | ||||
Response Example
{
"code": "200",
"message": "",
"data": [
{
"createdAt": "2015-09-02T09:41:25",
"status": "승인대기중",
"createdBy": "쿠팡 셀러 시스템",
"comment": "컨텐츠 확인 대기중"
},
{
"createdAt": "2015-09-02T09:37:33",
"status": "승인대기중",
"createdBy": "박**",
"comment": "큐레이터 컨텐츠 확인 요청"
},
{
"createdAt": "2015-09-02T09:30:11",
"status": "승인대기중",
"createdBy": "박**",
"comment": "승인완료 - Items 생성 완료"
},
{
"createdAt": "2015-08-31T07:42:30",
"status": "승인대기중",
"createdBy": "쿠팡 셀러 시스템",
"comment": "승인 관련 정보 생성 중"
},
{
"createdAt": "2015-08-31T07:40:45",
"status": "승인요청",
"createdBy": "(주)5천원",
"comment": "판매자 승인요청"
},
{
"createdAt": "2015-08-31T06:17:25",
"status": "임시저장",
"createdBy": "(주)5천원",
"comment": "판매자 임시저장"
}
]
}URL API Name
GET_PRODUCT_STATUS_HISTORY